---
title: Quick start
description: 'Use the InfluxDB 3 Clustered Management API to create databases, issue database tokens, and configure your cluster programmatically. Prerequisites: A management token. Generate one with influxctl: influxctl management create --format=jsonSet an environment variable for the examples below: export MANAGEMENT_TOKEN="MANAGEMENT_TOKEN" List databases in your cluster. curl "https://console.influxdata.com/api/v0/databases" \ --header "Authorization: Bearer ${MANAGEMENT_TOKEN}" Create a database. curl "'
url: https://docs.influxdata.com/influxdb3/clustered/api/management-api/quick-start/
estimated_tokens: 1174
product: InfluxDB Clustered
version: clustered
---

[Download Clustered Management API Spec](/openapi/influxdb-clustered-management-api.yml)

Use the InfluxDB 3 Clustered Management API to create databases, issue database tokens, and configure your cluster programmatically.

**Prerequisites**: A management token. Generate one with `influxctl`:

```bash
influxctl management create --format=json
```

Set an environment variable for the examples below:

```bash
export MANAGEMENT_TOKEN="MANAGEMENT_TOKEN"
```

1. List databases in your cluster.
    
    ```bash
    curl "https://console.influxdata.com/api/v0/databases" \
      --header "Authorization: Bearer ${MANAGEMENT_TOKEN}"
    ```
    
2. Create a database.
    
    ```bash
    curl "https://console.influxdata.com/api/v0/databases" \
      --request POST \
      --header "Authorization: Bearer ${MANAGEMENT_TOKEN}" \
      --header "Content-Type: application/json" \
      --data '{"name": "sensors"}'
    ```
    
3. Create a database token with read and write access.
    
    ```bash
    curl "https://console.influxdata.com/api/v0/tokens" \
      --request POST \
      --header "Authorization: Bearer ${MANAGEMENT_TOKEN}" \
      --header "Content-Type: application/json" \
      --data '{
        "description": "Read/write token for sensors",
        "permissions": [
          {"action": "read", "resource": "sensors"},
          {"action": "write", "resource": "sensors"}
        ]
      }'
    ```
    

Use the database token returned in step 3 to authenticate writes and queries to the Data API.

#### Related

-   [Get started with Clustered](/influxdb3/clustered/get-started/)
